Subject: bug#8789: 23.3; debug backtrace buffer changes window on step-through

From: Michael Heerdegen <[email-masked]>
Date: Sat, 03 Mar 2012 20:48:30 +0100

martin rudalics <[email-masked]> writes:

> Is it true that you can reproduce this with the given recipe at will?
> The combination of
>
> > Content of *Backtrace* before the crash:
> >
> > * (set-window-configuration wconfig)
>
> and
>
> > (gdb) bt
> > #0  0xb7fe2424 in __kernel_vsyscall ()
> > #1  0xb6a65c16 in kill () from /lib/i386-linux-gnu/i686/cmov/libc.so.6
> > #2  0x08139d78 in abort () at emacs.c:394
> > #3  0x0819441e in mark_object (arg=139036542) at alloc.c:5706
>
> seems to indicate a collector problem when recovering from a window
> excursion.  Reproducing a collector crash, however, is usually very
> difficult.

Yes, I can reproduce it at will.  I tried a few times again, and
everytime the backtrace looked like this.

> Meanwhile please try the patch attached to check whether it (1) solves
> the original problem and (2) results in this crash as well.

I'm afraid I can't do this, at least not at the moment.  I can't build
Emacs right now - I'm changing residence, having not much time and no
relyable connection to the net.  Maybe someone else can test it?  Or is
it appropriate to test the Elisp parts of your patch seperately?

BTW, I can reproduce the crash on different Gnu/Linux systems, so it's
likely that the crash can be reproduced on other computers as well.

Michael